/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.jmx.simpleservice;

import org.jboss.system.ServiceMBean;

/**
 * A simple mbean derived from ServiceMBean/ServiceMBeanSupport.
 * 
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public interface SimpleServiceMBean extends ServiceMBean
{
   // Attributes ----------------------------------------------------
   
   /** A String attribute */
   String getAStringAttr();
   void setAStringAttr(String s);
   
   /** Lifecycle memory attributes */
   boolean getCreateCalled();
   boolean getStartCalled();
   boolean getStopCalled();
   boolean getDestroyCalled();
   
   // Operations -----------------------------------------------------
   
   void resetLifecycleMemory();
}